<!--
  ~ -------------------------------------------------------------------------------
  ~ Copyright (C) 2024 bAvenir
  ~
  ~ This program and the accompanying materials are made
  ~ available under the terms of the Eclipse Public License 2.0
  ~ which is available at https://www.eclipse.org/legal/epl-2.0/
  ~
  ~ SPDX-License-Identifier: EPL-2.0
  ~ -------------------------------------------------------------------------------
  -->

<p class="ql-align-justify">This adapter is used to store the last value in the <a href="https://redis.com/why-redis-cloud/?utm_source=google&amp;utm_medium=cpc&amp;utm_term=redis&amp;utm_campaign=redis360-brand-emea-19645427181&amp;utm_content=&amp;gad_source=1&amp;gclid=Cj0KCQiAtaOtBhCwARIsAN_x-3KNxYpcqXjrCkpZDXe9L_kkkwx1hbh2eKT8n3KPyJ_C_n3ftfpNlxQaAgIoEALw_wcB" rel="noopener noreferrer" target="_blank">Redis</a> object database.</p><p class="ql-align-justify"><em>Please keep in mind that database is part of this Node.</em></p><p class="ql-align-justify"><br></p><p class="ql-align-justify"><strong>How the adapter works?</strong></p><p class="ql-align-justify">The values are stored as <em>{key:value}</em> pairs in local embedded database. Only one value is remebered, so any new value stored under the same key will overwrite the previous one.</p><p class="ql-align-justify"><br></p><p class="ql-align-justify"><strong>Accepted values</strong>: Json, String, Number</p><p class="ql-align-justify"><br></p><p class="ql-align-justify"><strong>How to setup?</strong></p><ol><li class="ql-align-justify">navigate to item and select item's property</li><li class="ql-align-justify">setup the connection between the property and the adapter</li><li class="ql-align-justify">provide the key as last part of the <em>Base url</em></li><li class="ql-align-justify">under this key values will be read or written to the db</li></ol>
